# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/mfd/qnap,ts433-mcu.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: QNAP NAS on-board Microcontroller

maintainers:
  - Heiko Stuebner <heiko@sntech.de>

description:
  QNAP embeds a microcontroller on their NAS devices adding system feature
  as PWM Fan control, additional LEDs, power button status and more.

properties:
  compatible:
    enum:
      - qnap,ts233-mcu
      - qnap,ts433-mcu

  nvmem-layout:
    $ref: /schemas/nvmem/layouts/nvmem-layout.yaml

patternProperties:
  "^fan-[0-9]+$":
    $ref: /schemas/hwmon/fan-common.yaml#
    unevaluatedProperties: false

required:
  - compatible

additionalProperties: false

examples:
  - |
    uart {
      mcu {
        compatible = "qnap,ts433-mcu";

        fan-0 {
          #cooling-cells = <2>;
          cooling-levels = <0 64 89 128 166 204 221 238>;
        };
      };
    };
